###################################################################################
# -*- coding: utf-8 -*-                                                           #
#!/usr/bin/env python                                                             #
# SMETime Data Manager for SME's                                                  #
# Copyright (C) 2008 Anil anilet@gmail.com                                        #
#                                                                                 #
# This program is free software; you can redistribute it and/or                   #
# modify it under the terms of the GNU General Public License                     #
# version 2 as published by the Free Software Foundation.                         #
#                                                                                 #
# This program is distributed in the hope that it will be useful,                 #
# but WITHOUT ANY WARRANTY; without even the implied warranty of                  #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                   #
# GNU General Public License for more details.                                    #
#                                                                                 #
# You should have received a copy of the GNU General Public License               #
# along with this program; if not, write to the Free Software                     #
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. #
###################################################################################

import logging
import sys
from PyQt5.QtCore import *
from PyQt5.QtWidgets import QApplication
FORMAT = '[%(levelname)-7s] [%(name)-35s] - %(message)s' 
logging.basicConfig(level=logging.DEBUG, format=FORMAT)
logger = logging.getLogger('smeTime')

if __name__ == "__main__":
    
    app = QApplication(sys.argv)
    app.setQuitOnLastWindowClosed(True)
    app.setOrganizationName("SMETime")
    app.setOrganizationDomain("smetime.com.au")
    app.setApplicationName("SMETime")
    from MainApp import SMETimeClient
    mainApp = SMETimeClient()
    #starting app
    sys.exit(app.exec_())


    
