###################################################################################
# -*- coding: utf-8 -*-                                                           #
#!/usr/bin/env python                                                             #
# SMETime Data Manager for SME's                                                  #
# Copyright (C) 2008 Anil anilet@gmail.com                                        #
#                                                                                 #
# This program is free software; you can redistribute it and/or                   #
# modify it under the terms of the GNU General Public License                     #
# version 2 as published by the Free Software Foundation.                         #
#                                                                                 #
# This program is distributed in the hope that it will be useful,                 #
# but WITHOUT ANY WARRANTY; without even the implied warranty of                  #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                   #
# GNU General Public License for more details.                                    #
#                                                                                 #
# You should have received a copy of the GNU General Public License               #
# along with this program; if not, write to the Free Software                     #
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. #
###################################################################################



from PyQt5 import QtCore, QtGui, QtWidgets
 
class FrameBkLm(QtWidgets.QFrame):

    def __init__(self, parent=None):
        super(FrameBkLm, self).__init__(parent)
        
    
    
    def paintEvent(self, event=None):
        painter = QtGui.QPainter(self)
       # painter.begin(self)
        #painter.setPen(QtCore.NoPen)
        painter.setRenderHint(QtGui.QPainter.Antialiasing)
        gradient = QtGui.QLinearGradient(self.width()-5.0,0.0,self.width(),0.0)
        gradient.setColorAt(0.0, QtGui.QColor(0,0,0,100))
        gradient.setColorAt(1.0, QtGui.QColor(0,0,0,0))
        painter.setBrush(QtGui.QBrush(gradient))
        painter.drawRect(self.width()-5,0,5,self.height())

        gradient = QtGui.QLinearGradient(0.0,0.0,0.0,self.height())
        gradient.setColorAt(0.0, QtGui.QColor(244,244,241,240))
        gradient.setColorAt(0.3, QtGui.QColor(244,244,241,240))
        gradient.setColorAt(1.0, QtGui.QColor(244,244,241,140))
        painter.setBrush(QtGui.QColor(47,47,47))
        painter.drawRect(0, 0, self.width()-5, self.height())

       
